=== modified file 'lib/lp/app/browser/lazrjs.py'
--- lib/lp/app/browser/lazrjs.py	2011-06-28 11:26:36 +0000
+++ lib/lp/app/browser/lazrjs.py	2011-07-06 00:41:28 +0000
@@ -238,8 +238,7 @@
 
     def __init__(self, context, exported_field, default_html,
                  content_box_id=None, header='Select an item',
-                 step_title='Search', assign_button_text='Pick Me',
-                 remove_button_text='Remove Person',
+                 step_title='Search', remove_button_text='Remove',
                  null_display_value='None',
                  edit_view="+edit", edit_url=None, edit_title=''):
         """Create a widget wrapper.
@@ -252,7 +251,6 @@
             Automatically generated if this is not provided.
         :param header: The large text at the top of the picker.
         :param step_title: Smaller line of text below the header.
-        :param assign_button_text: Override default button text: "Pick Me"
         :param remove_button_text: Override default button text: "Remove"
         :param null_display_value: This will be shown for a missing value
         :param edit_view: The view name to use to generate the edit_url if
@@ -267,7 +265,6 @@
         self.default_html = default_html
         self.header = header
         self.step_title = step_title
-        self.assign_button_text = assign_button_text
         self.remove_button_text = remove_button_text
         self.null_display_value = null_display_value
 
@@ -281,7 +278,6 @@
     def config(self):
         return dict(
             header=self.header, step_title=self.step_title,
-            assign_button_text=self.assign_button_text,
             remove_button_text=self.remove_button_text,
             null_display_value=self.null_display_value,
             show_remove_button=self.optional_field,

=== modified file 'lib/lp/app/javascript/picker.js'
--- lib/lp/app/javascript/picker.js	2011-06-28 11:26:36 +0000
+++ lib/lp/app/javascript/picker.js	2011-07-06 00:41:28 +0000
@@ -21,7 +21,6 @@
  * @param {Object} config Object literal of config name/value pairs.
  *     config.header: a line of text at the top of the widget.
  *     config.step_title: overrides the subtitle.
- *     config.assign_button_text: Override the default 'Assign' text.
  *     config.remove_button_text: Override the default 'Remove' text.
  *     config.null_display_value: Override the default 'None' text.
  *     config.show_remove_button: Should the remove button be shown?
@@ -41,12 +40,17 @@
 
     var show_remove_button = false;
     var show_assign_me_button = false;
+    var remove_button_text = 'Remove';
     var null_display_value = 'None';
     var show_search_box = true;
 
     resource_uri = Y.lp.client.normalize_uri(resource_uri);
 
     if (config !== undefined) {
+        if (config.remove_button_text !== undefined) {
+            remove_button_text = config.remove_button_text;
+        }
+
         if (config.null_display_value !== undefined) {
             null_display_value = config.null_display_value;
         }

=== modified file 'lib/lp/app/javascript/tests/test_picker.js'
--- lib/lp/app/javascript/tests/test_picker.js	2011-06-28 17:04:35 +0000
+++ lib/lp/app/javascript/tests/test_picker.js	2011-07-06 00:41:28 +0000
@@ -79,6 +79,7 @@
             {
                 "step_title": "Choose someone",
                 "header": "Pick Someone",
+                "remove_button_text": "Remove someone",
                 "null_display_value": "Noone",
                 "show_remove_button": true,
                 "show_assign_me_button": true,
@@ -281,8 +282,7 @@
         delete window.LP;
     },
 
-    create_picker: function(
-        show_assign_me_button, show_remove_button, field_value) {
+    create_picker: function(show_assign_me, show_remove, field_value) {
         if (field_value !== undefined) {
             var data_box = Y.one('#picker_id .yui3-activator-data-box');
             data_box.appendChild(Y.Node.create('<a>Content</a>'));
@@ -294,10 +294,8 @@
             "header": "Pick Someone",
             "validate_callback": null,
             "show_search_box": true,
-            "show_assign_me_button": show_assign_me_button,
-            "show_remove_button": show_remove_button,
-            "assign_button_text": "Assign Moi",
-            "remove_button_text": "Remove someone"
+            "show_assign_me_button": show_assign_me,
+            "show_remove_button": show_remove
             };
         this.picker = Y.lp.app.picker.addPickerPatcher(
                 this.vocabulary,
@@ -329,22 +327,6 @@
         this._check_button_state('.yui-picker-remove-button', is_visible);
     },
 
-    test_picker_assign_me_button_text: function() {
-        // The assign me button text is correct.
-        this.create_picker(true, true);
-        this.picker.render();
-        var assign_me_button = Y.one('.yui-picker-assign-me-button');
-        Assert.areEqual('Assign Moi', assign_me_button.get('innerHTML'));
-    },
-
-    test_picker_remove_button_text: function() {
-        // The remove button text is correct.
-        this.create_picker(true, true);
-        this.picker.render();
-        var remove_button = Y.one('.yui-picker-remove-button');
-        Assert.areEqual('Remove someone', remove_button.get('innerHTML'));
-    },
-
     test_picker_has_assign_me_button: function() {
         // The assign me button is shown.
         this.create_picker(true, true);

=== modified file 'lib/lp/app/javascript/widgets.js'
--- lib/lp/app/javascript/widgets.js	2011-06-30 13:56:48 +0000
+++ lib/lp/app/javascript/widgets.js	2011-07-06 00:41:28 +0000
@@ -88,8 +88,6 @@
 
         var show_assign_me_button = true;
         var show_remove_button = true;
-        var assign_button_text = 'Pick Me';
-        var remove_button_text = 'Remove Person';
 
         if (cfg !== undefined) {
             if (cfg.show_assign_me_button !== undefined) {
@@ -98,17 +96,9 @@
             if (cfg.show_remove_button !== undefined) {
                 show_remove_button = cfg.show_remove_button;
             }
-            if (cfg.assign_button_text !== undefined) {
-                assign_button_text = cfg.assign_button_text;
-            }
-            if (cfg.remove_button_text !== undefined) {
-                remove_button_text = cfg.remove_button_text;
-            }
         }
         this._show_assign_me_button = show_assign_me_button;
         this._show_remove_button = show_remove_button;
-        this._assign_me_button_text = assign_button_text;
-        this._remove_button_text = remove_button_text;
     },
 
     hide: function() {
@@ -132,13 +122,15 @@
 
     _renderPersonPickerUI: function() {
         var remove_button, assign_me_button;
+        var remove_button_text = "Remove assignee";
+        var assign_me_button_text = "Assign to me";
 
         if (this._show_remove_button) {
             remove_button = Y.Node.create(
                 '<a class="yui-picker-remove-button bg-image" ' +
                 'href="javascript:void(0)" ' +
                 'style="background-image: url(/@@/remove); padding-right: ' +
-                '1em">' + this._remove_button_text + '</a>');
+                '1em">' + remove_button_text + '</a>');
             remove_button.on('click', this.remove, this);
             this._extra_buttons.appendChild(remove_button);
             this.remove_button = remove_button;
@@ -149,7 +141,7 @@
                 '<a class="yui-picker-assign-me-button bg-image" ' +
                 'href="javascript:void(0)" ' +
                 'style="background-image: url(/@@/person)">' +
-                this._assign_me_button_text + '</a>');
+                assign_me_button_text + '</a>');
             assign_me_button.on('click', this.assign_me, this);
             this._extra_buttons.appendChild(assign_me_button);
             this.assign_me_button = assign_me_button;

=== modified file 'lib/lp/app/widgets/popup.py'
--- lib/lp/app/widgets/popup.py	2011-06-28 16:55:25 +0000
+++ lib/lp/app/widgets/popup.py	2011-07-06 00:41:28 +0000
@@ -28,11 +28,6 @@
     __call__ = ViewPageTemplateFile('templates/form-picker.pt')
 
     picker_type = 'default'
-    # Provide default values for the following properties in case someone
-    # creates a vocab picker for a person instead if using the derived
-    # PersonPicker.
-    show_assign_me_button = False
-    show_remove_button = False
 
     popup_name = 'popup-vocabulary-picker'
 
@@ -164,8 +159,6 @@
 class PersonPickerWidget(VocabularyPickerWidget):
 
     include_create_team_link = False
-    show_assign_me_button = True
-    show_remove_button = True
 
     @property
     def picker_type(self):

=== modified file 'lib/lp/app/widgets/templates/form-picker-macros.pt'
--- lib/lp/app/widgets/templates/form-picker-macros.pt	2011-07-01 10:56:28 +0000
+++ lib/lp/app/widgets/templates/form-picker-macros.pt	2011-07-06 00:41:28 +0000
@@ -43,10 +43,6 @@
                 extra_no_results_message: ${view/extra_no_results_message},
                 picker_type: '${view/picker_type}'
             };
-            if (config.picker_type == 'person') {
-                config.show_assign_me_button = ${view/show_assign_me_button}
-                config.show_remove_button = ${view/show_remove_button}
-            }
             var picker = Y.lp.app.picker.create('${view/vocabulary_name}', config);
             if (config.extra_no_results_message !== null) {
                 picker.before('resultsChange', function (e) {

=== modified file 'lib/lp/bugs/javascript/bugtask_index.js'
--- lib/lp/bugs/javascript/bugtask_index.js	2011-07-01 10:19:20 +0000
+++ lib/lp/bugs/javascript/bugtask_index.js	2011-07-06 00:41:28 +0000
@@ -894,7 +894,6 @@
             assignee_content.get('id'),
             {"step_title": step_title,
              "header": "Change assignee",
-             "assign_button_text": "Assign Me",
              "remove_button_text": "Remove assignee",
              "null_display_value": "Unassigned",
              "show_remove_button": conf.user_can_unassign,

=== modified file 'lib/lp/code/browser/sourcepackagerecipe.py'
--- lib/lp/code/browser/sourcepackagerecipe.py	2011-06-28 11:26:36 +0000
+++ lib/lp/code/browser/sourcepackagerecipe.py	2011-07-06 00:41:28 +0000
@@ -106,7 +106,6 @@
 from lp.code.model.branchtarget import PersonBranchTarget
 from lp.code.model.sourcepackagerecipe import get_buildable_distroseries_set
 from lp.registry.interfaces.series import SeriesStatus
-from lp.services.fields import PersonChoice
 from lp.services.propertycache import cachedproperty
 from lp.soyuz.model.archive import Archive
 
@@ -841,7 +840,7 @@
             self.form_fields = self.form_fields.omit('daily_build_archive')
 
             owner_field = self.schema['owner']
-            any_owner_choice = PersonChoice(
+            any_owner_choice = Choice(
                 __name__='owner', title=owner_field.title,
                 description=(u"As an administrator you are able to reassign"
                              u" this branch to any person or team."),

=== modified file 'lib/lp/registry/browser/team.py'
--- lib/lp/registry/browser/team.py	2011-06-28 11:26:36 +0000
+++ lib/lp/registry/browser/team.py	2011-07-06 00:41:28 +0000
@@ -70,7 +70,6 @@
     LaunchpadRadioWidgetWithDescription,
     )
 from lp.app.widgets.owner import HiddenUserWidget
-from lp.app.widgets.popup import PersonPickerWidget
 from lp.registry.browser.branding import BrandingChangeView
 from lp.registry.interfaces.mailinglist import (
     IMailingList,
@@ -1035,9 +1034,6 @@
 
     schema = ITeamMember
     label = "Select the new member"
-    custom_widget(
-        'newmember', PersonPickerWidget,
-        show_assign_me_button=False, show_remove_button=False)
 
     @property
     def page_title(self):

